{% extends "base.html.twig" %}

{% block body %}
	<main class="">

		<div class="container text-light p-5">
			<p class="fs-2 text-center">Modifier une figure</p>
			{{ form_start(form) }}
			{{ form_row(form.nom) }}
			{{ form_row(form.description) }}
			{{ form_row(form.groupe) }}

			<div class="d-flex justify-content-between">
				<h2 class="">
					Illustrations
				</h2>
				<button type="button" class="add_ill_link btn btn-primary" data-collection-holder-class="illustrations">Ajouter</button>
			</div>
			<ul class="illustrations" data-index="{{ form.illustrations|length > 0 ? form.illustrations|last.vars.name + 1 : 0 }}" data-prototype="{{ form_widget(form.illustrations.vars.prototype)|e('html_attr') }}">
				{% for ill in form.illustrations %}
					<li class="illustration">
						{{ form_label(ill) }}
						{{ form_widget(ill) }}
						{{ form_errors(ill) }}</li>
				{% endfor %}
			</ul>
			<div class="d-flex justify-content-between">
				<h2 class="">
					Videos
				</h2>
				<button type="button" class="add_vid_link btn btn-primary" data-collection-holder-class="videos">Ajouter</button>
			</div>
			<ul class="videos" data-index="{{ form.videos|length > 0 ? form.videos|last.vars.name + 1 : 0 }}" data-prototype="{{ form_widget(form.videos.vars.prototype)|e('html_attr') }}">
				{% for vid in form.videos %}
					<li class="video">
						{{ form_label(vid) }}
						{{ form_widget(vid) }}
						{{ form_errors(vid) }}</li>
				{% endfor %}
			</ul>
			{{ form_row(form.save) }}
			{{ form_rest(form) }}
			{{ form_end(form) }}
		</div>

		{# read and display just one flash message type #}
		{% for message in app.flashes('success') %}
			<p class="flash-success text-light fs-2 text-center">
				*
				{{ message }}
				*
			</p>

		{% endfor %}

	</main>
{% endblock %}
